<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://www.gekkoware.org
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	require_once GEKKO_ROOT."lib/auth.inc.php";

	if (!gauth("#"))
		abort(accessDenied(true));

	require_once GEKKO_ROOT."modules/blocks/main.lib.php";

	gpGlobalize("block");

	if ($block) {
		$info = getBlockData($block);

		foreach ($info["variables"] as $var => $val) {
			//echo "$var=$val\n";
			echo "$var:<br /><input class=\"text\" type=\"text\" name=\"scriptvars[$var]\" size=\"40\" value=\"".htmlspecialchars($val)."\" /><hr />";
		}
	}
?>